<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="@dimen/dp_64">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/icon"
            android:layout_width="@dimen/dp_45"
            android:layout_height="@dimen/dp_45"
            android:layout_gravity="center"
            android:layout_margin="@dimen/dp_5"
            android:adjustViewBounds="true"
            android:scaleType="centerInside"
            android:src="@mipmap/ic_launcher" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="@dimen/dp_8"
            android:layout_weight="3"
            android:orientation="vertical">

            <TextView
                android:id="@+id/name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:text="APP"
                android:textSize="@dimen/sp_11"
                android:textStyle="bold" />

            <com.uiui.zyappstore.view.NumberProgressBar
                android:id="@+id/pbProgress"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                app:progress_reached_bar_height="6dp"
                app:progress_reached_color="@color/download_btn_color"
                app:progress_text_color="@color/download_btn_color"
                app:progress_text_size="10sp"
                app:progress_unreached_bar_height="0.75dp"
                app:progress_unreached_color="#CCCCCC" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/state"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="下载中" />

                <TextView
                    android:id="@+id/downloadSize"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="--M/--M" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="5"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/remove"
                android:layout_width="@dimen/dp_15"
                android:layout_height="@dimen/dp_15"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_gravity="center"
                android:adjustViewBounds="true"
                android:scaleType="centerInside"
                android:src="@drawable/bt_delete" />

            <Button
                android:id="@+id/start"
                android:layout_width="@dimen/dp_45"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_gravity="center"
                android:background="@drawable/btn_shap_open"
                android:text="暂停"
                android:textColor="@color/white" />
        </LinearLayout>
    </LinearLayout>

    <ImageView
        android:id="@+id/imageView"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:layout_marginStart="@dimen/dp_40"
        android:layout_marginEnd="@dimen/dp_40"
        android:src="#9B9B9B"
        app:layout_constraintBottom_toBottomOf="@+id/linearLayout"
        app:layout_constraintEnd_toEndOf="@+id/linearLayout"
        app:layout_constraintStart_toStartOf="@+id/linearLayout" />
</androidx.constraintlayout.widget.ConstraintLayout>
